Clear Windows compile warnings (#1530)

This commit is contained in:
Wenyong Huang 2022-09-29 14:02:58 +08:00 committed by GitHub
parent 1effda4cb5
commit 3220ff6941
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
6 changed files with 9 additions and 9 deletions

View File

@ -696,9 +696,9 @@ load_custom_section(const uint8 *buf, const uint8 *buf_end, AOTModule *module,
} }
section->name_addr = (char *)section_name; section->name_addr = (char *)section_name;
section->name_len = strlen(section_name); section->name_len = (uint32)strlen(section_name);
section->content_addr = (uint8 *)p; section->content_addr = (uint8 *)p;
section->content_len = p_end - p; section->content_len = (uint32)(p_end - p);
section->next = module->custom_section_list; section->next = module->custom_section_list;
module->custom_section_list = section; module->custom_section_list = section;

View File

@ -3087,7 +3087,7 @@ aot_dump_call_stack(WASMExecEnv *exec_env, bool print, char *buf, uint32 len)
return 0; return 0;
} }
total_frames = bh_vector_size(module_inst->frames.ptr); total_frames = (uint32)bh_vector_size(module_inst->frames.ptr);
if (total_frames == 0) { if (total_frames == 0) {
return 0; return 0;
} }

View File

@ -4650,7 +4650,7 @@ wasm_runtime_dump_line_buf_impl(const char *line_buf, bool dump_or_print,
return dump_len; return dump_len;
} }
else { else {
return strlen(line_buf); return (uint32)strlen(line_buf);
} }
} }

View File

@ -2907,7 +2907,7 @@ load_user_section(const uint8 *buf, const uint8 *buf_end, WASMModule *module,
section->name_addr = (char *)p; section->name_addr = (char *)p;
section->name_len = name_len; section->name_len = name_len;
section->content_addr = (uint8 *)(p + name_len); section->content_addr = (uint8 *)(p + name_len);
section->content_len = p_end - p - name_len; section->content_len = (uint32)(p_end - p - name_len);
section->next = module->custom_section_list; section->next = module->custom_section_list;
module->custom_section_list = section; module->custom_section_list = section;

View File

@ -3087,7 +3087,7 @@ wasm_interp_dump_call_stack(struct WASMExecEnv *exec_env, bool print, char *buf,
return 0; return 0;
} }
total_frames = bh_vector_size(module_inst->frames); total_frames = (uint32)bh_vector_size(module_inst->frames);
if (total_frames == 0) { if (total_frames == 0) {
return 0; return 0;
} }

View File

@ -219,7 +219,7 @@ function unit_test()
make -ki clean | true make -ki clean | true
cmake ${compile_flag} ${WORK_DIR}/../../unit && make -j 4 cmake ${compile_flag} ${WORK_DIR}/../../unit && make -j 4
if [ "$?" != 0 ];then if [ "$?" != 0 ];then
echo -e "\033[31mbuild unit test failed, you may need to change wamr into dev/aot branch and ensure llvm is built \033[0m" echo -e "build unit test failed, you may need to change wamr into dev/aot branch and ensure llvm is built"
exit 1 exit 1
fi fi
@ -486,7 +486,7 @@ function build_iwasm_with_cfg()
fi fi
if [ "$?" != 0 ];then if [ "$?" != 0 ];then
echo -e "\033[31mbuild iwasm failed \033[0m" echo -e "build iwasm failed"
exit 1 exit 1
fi fi
} }
@ -644,7 +644,7 @@ else
# Add more suites here # Add more suites here
fi fi
echo -e "\033[32mTest finish. Reports are under ${REPORT_DIR} \033[0m" echo -e "Test finish. Reports are under ${REPORT_DIR}"
DEBUG set +xv pipefail DEBUG set +xv pipefail
echo "TEST SUCCESSFUL" echo "TEST SUCCESSFUL"
exit 0 exit 0